%define majver %(echo %version | cut -d. -f1-2)

Name:          qt5-qtwebsockets
Version:       5.15.7
Release:       1mamba
Summary:       Qt5 web sockets component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtwebsockets-everywhere-opensource-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
Qt5 web sockets component.

%package -n libQt5WebSockets
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libQt5WebSockets
This package contains shared libraries for %{name}.

%package -n libQt5WebSockets-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5WebSockets = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5WebSockets-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n qtwebsockets-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5WebSockets -p /sbin/ldconfig
%postun -n libQt5WebSockets -p /sbin/ldconfig

%files -n libQt5WebSockets
%defattr(-,root,root)
%{_libdir}/libQt5WebSockets.so.*
%dir %{_libdir}/qt5/qml/Qt/WebSockets
%{_libdir}/qt5/qml/Qt/WebSockets/*
%dir %{_libdir}/qt5/qml/QtWebSockets
%{_libdir}/qt5/qml/QtWebSockets/*
%doc LICENSE.*

%files -n libQt5WebSockets-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtWebSockets
%{_includedir}/qt5/QtWebSockets/*
%{_libdir}/libQt5WebSockets.prl
%{_libdir}/libQt5WebSockets.so
%{_libdir}/qt5/mkspecs/modules/qt_lib_websockets.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_websockets_private.pri
%dir %{_libdir}/cmake/Qt5WebSockets
%{_libdir}/cmake/Qt5WebSockets/Qt5WebSocketsConfig*.cmake
%{_libdir}/pkgconfig/Qt5WebSockets.pc
%doc README.md

%changelog
* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
